package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.bo.tuple.Tuple2;
import org.wcs.model.dto.serve.conveyTask.QueryConveyTaskReq;
import org.wcs.model.po.app.AppConveyTask;

import java.util.List;

public interface AppConveyTaskService extends IService<AppConveyTask> {

    Tuple2<Long, List<AppConveyTask>> queryConveyTask(QueryConveyTaskReq request, Integer pageSize, Integer pageIndex); // 查询
    int insertConveyTask(AppConveyTask appConveyTask);
    List<AppConveyTask> queryByTaskId(String taskId);
    int updateConveyTask(AppConveyTask appConveyTask);
}
